# Expose outputs from creation of the Kinesis Stream

output "id" {
  value = aws_kinesis_stream.stream.id
}

output "name" {
  value = aws_kinesis_stream.stream.name
}

output "shard_count" {
  value = aws_kinesis_stream.stream.shard_count
}

output "arn" {
  value = aws_kinesis_stream.stream.arn
}

output "consumer_policy_arn" {
  value = var.enable_iam_policies ? aws_iam_policy.consumer-policy[0].arn : ""
}

output "producer_policy_arn" {
  value = var.enable_iam_policies ? aws_iam_policy.producer-policy[0].arn : ""
}

output "shard_mgt_policy_arn" {
  value = var.enable_iam_policies ? aws_iam_policy.shard-management-policy[0].arn : ""
}
